From 570643e44f17b1284a4639ab2d14bfcbbd487b7c Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Mon, 16 Jan 2023 11:46:13 +0100
Subject: [PATCH v2 1/2] Remove AggregateRelationId from recordExtObjInitPriv()

This was erroneous, because AggregateRelationId has no OID, so it
cannot be part of an extension directly.  (Aggregates are registered
via pg_proc.)  No harm in practice, but better to make it correct.

Discussion: https://www.postgresql.org/message-id/flat/504bc485-6bd6-dd1b-fe10-e7351aeb310d@enterprisedb.com
---
 src/backend/catalog/aclchk.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/backend/catalog/aclchk.c b/src/backend/catalog/aclchk.c
index cc6e260908..7cb2faa187 100644
--- a/src/backend/catalog/aclchk.c
+++ b/src/backend/catalog/aclchk.c
@@ -4510,7 +4510,6 @@ recordExtObjInitPriv(Oid objoid, Oid classoid)
 		ReleaseSysCache(tuple);
 	}
 	else if (classoid == AccessMethodRelationId ||
-			 classoid == AggregateRelationId ||
 			 classoid == CastRelationId ||
 			 classoid == CollationRelationId ||
 			 classoid == ConversionRelationId ||

base-commit: 20428d344a2964de6aaef9984fcd472f3c65d115
-- 
2.39.0

